Start a currency change
curl --request POST \
--url https://lazyapp.in/v1/connections/{connection}/currency-migration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"extended_credit_id": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/connections/{connection}/currency-migration"
payload = {
"currency": "USD",
"extended_credit_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USD', extended_credit_id: '<string>'})
};
fetch('https://lazyapp.in/v1/connections/{connection}/currency-migration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/connections/{connection}/currency-migration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'USD',
'extended_credit_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/connections/{connection}/currency-migration"
payload := strings.NewReader("{\n \"currency\": \"USD\",\n \"extended_credit_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/connections/{connection}/currency-migration")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"USD\",\n \"extended_credit_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/connections/{connection}/currency-migration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"USD\",\n \"extended_credit_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"migration": {
"migration_id": "<string>",
"status": "INITIATED",
"currency": "<string>",
"destination_waba": {}
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}Billing
Start a currency change
Change the WhatsApp billing currency of a customer-managed account. Meta copies the account into one in the new currency.
Required scope: billing:write
POST
/
v1
/
connections
/
{connection}
/
currency-migration
Start a currency change
curl --request POST \
--url https://lazyapp.in/v1/connections/{connection}/currency-migration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"extended_credit_id": "<string>"
}
'import requests
url = "https://lazyapp.in/v1/connections/{connection}/currency-migration"
payload = {
"currency": "USD",
"extended_credit_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USD', extended_credit_id: '<string>'})
};
fetch('https://lazyapp.in/v1/connections/{connection}/currency-migration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/connections/{connection}/currency-migration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'currency' => 'USD',
'extended_credit_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/connections/{connection}/currency-migration"
payload := strings.NewReader("{\n \"currency\": \"USD\",\n \"extended_credit_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/connections/{connection}/currency-migration")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"USD\",\n \"extended_credit_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/connections/{connection}/currency-migration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"USD\",\n \"extended_credit_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"migration": {
"migration_id": "<string>",
"status": "INITIATED",
"currency": "<string>",
"destination_waba": {}
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Headers
Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.
Maximum string length:
255Path Parameters
Connection uuid.
Response
Started.
Show child attributes
Show child attributes